@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600;700;800;900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@100;200;300;400;500;600;700;800;900&display=swap');

.archive-data-box {
    margin: 20px;
    border: solid 1px lightgrey;
    box-shadow: 1px 1px 6px rgba(182, 181, 181, 0.6);
}

.box-header {
    display: flex;
    flex-direction: column;
    border-top: solid 1px #e8e8e8;
    border-bottom: solid 1px #e8e8e8;
    padding: 20px 30px;
}

.box-header h3 {
     margin: 0;         /* Usunięcie domyślnych marginesów */
     padding: 0;        /* Usunięcie domyślnych odstępów */
     font-size: 1.25em;   /* Ustawienie rozmiaru czcionki na 100% */
     font-weight: bold; /* Zmiana grubości czcionki na normalną */
     line-height: normal; /* Resetowanie wysokości linii */
     color: #000207;    /* Dziedziczenie koloru tekstu od rodzica */
     font-family: inherit; /* Dziedziczenie rodziny czcionek od rodzica */
     font-style: normal;
 }

.box-header span {
    display: inline-block;
    align-items: center;
}

.box-content {
    padding: 20px;
    overflow: auto;
}
.no-records {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    height: 100px;
    width: 100%;
    color: red;
}

.archive-data-table {
    width: 100%;
}

.archive-data-table td, .archive-data-table th {
    border: 1px solid #c9cbce; /* Obramowanie komórek */
    word-wrap: break-word; /* Złamanie długich wyrazów */
    text-align: left; /* Wyrównanie tekstu do lewej */
    padding-left: 10px;
}

.archive-data-table thead th {
    height: 40px;
    background-color: #1E347B;
    color: white;
}

.archive-data-table tr {
    background-color: white;
    color: black;
}

.archive-data-table tr:hover {
    background-color: #eeeeee;
}

.td-flex-container {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    border: 0px;
    box-sizing: border-box;
    height: 100%;
    width: 100%;
    padding: 8px;
    gap: 5px;
}

.link-view {
    border: solid 1px #23527c;
    border-bottom: solid 2px #23527c;
    border-radius: 3px;
    padding: 5px 15px;
    text-decoration: none;
    color: #23527c;
    font-weight: bold;
    margin-right: 10px;
}

.link-view:hover {
    background-color: #23527c;
    color: white;
    transition: 0.1s;
}

.link-view-wider {
    border: solid 1px #23527c;
    border-bottom: solid 2px #23527c;
    border-radius: 3px;
    padding: 10px 15px;
    text-decoration: none;
    color: #23527c;
    font-weight: bold;
    margin-right: 10px;
}

.link-view-wider:hover {
    background-color: #23527c;
    color: white;
    transition: 0.1s;
}

/*.link-delete {*/
/*    !*border: solid 1px #d00101;*!*/
/*    !*border-bottom: solid 2px #d00101;*!*/
/*    !*border-radius: 3px;*!*/
/*    !*padding: 5px 15px;*!*/
/*    !*text-decoration: none;*!*/
/*    !*color: #d00101;*!*/
/*    !*font-weight: bold;*!*/
/*    !*margin-right: 10px;*!*/
/*}*/

/*.link-delete:hover {*/
/*    !*background-color: #d00101;*!*/
/*    !*color: white;*!*/
/*    !*transition: 0.1s;*!*/
/*}*/

.form-container {
    padding: 0px;
}

.form-element-required {
    color: red;
}